Subject: Re: [dhcwg] Can a DHCPv4 server REPLY to non-standard port.

From: Senthil Kumar B <[email-masked]>
Date: Fri, 07 Mar 2003 12:05:07 +0530

Does any commercial versions of DHCP server supports resource limiting 
(as you mentioned in your mail) using option 82 (Relay Agent Information 
Option-RFC 3046).

Bud Millwood wrote:

>On Tuesday 04 February 2003 14.39, Vasu, Vallabhaneni wrote:
>
>  
>
>>This problem can happen even if the client uses the standard ports. All you
>>need to do is write c code to generate different client id's (MAC or option
>>61). This issue is  being handled in RFC 3118.
>>    
>>
>
>We respond to the source port the client is using, but allow the administrator 
>to override this at the server. It seemed like a bad idea to respond to a 
>fixed port if no communication had been initiated from that port.
>
>The best way to handle spoofing today, to my knowledge, is to use the trusted 
>values found in option 82 for identifying the client. If your server supports 
>resource limiting using option 82, and your relay agents support option 82, 
>you should be fine.
>
>Otherwise, some sort of pre-registration works, although that's a bit of a 
>pain to manage.
>
>Bud Millwood
>Weird Solutions, Inc.
>http://www.weird-solutions.com
>tel: +46 8 758 3700
>fax: +46 8 758 3687
>mailto:[email-masked]
>
>_______________________________________________
>dhcwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/dhcwg
>
>  
>

---

From: "Kostur, Andre" <[email-masked]>
Date: Fri, 7 Mar 2003 08:02:31 -0800

Yes, Incognito Software's IP Commander can.

-----Original Message-----
From: Senthil Kumar B [mailto:[email-masked]]
Sent: Thursday, March 06, 2003 10:35 PM
To: Bud Millwood
Cc: Vasu, Vallabhaneni; [email-masked]
Subject: Re: [dhcwg] Can a DHCPv4 server REPLY to non-standard port.

Does any commercial versions of DHCP server supports resource limiting (as
you mentioned in your mail) using option 82 (Relay Agent Information
Option-RFC 3046).

Bud Millwood wrote:

We respond to the source port the client is using, but allow the
administrator 
to override this at the server. It seemed like a bad idea to respond to a 
fixed port if no communication had been initiated from that port.

The best way to handle spoofing today, to my knowledge, is to use the
trusted 
values found in option 82 for identifying the client. If your server
supports 
resource limiting using option 82, and your relay agents support option 82, 
you should be fine.

Bud Millwood
Weird Solutions, Inc.